> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record one table's results and release its lease



## OpenAPI

````yaml post /api/maintenance/internal/batches/{batch_id}/tables/{registration_id}/results
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/maintenance/internal/batches/{batch_id}/tables/{registration_id}/results:
    post:
      tags:
        - Maintenance (internal)
      summary: Record one table's results and release its lease
      operationId: >-
        record_results_api_maintenance_internal_batches__batch_id__tables__registration_id__results_post
      parameters:
        - name: batch_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Batch Id
        - name: registration_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Registration Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TableResultsIn'
      responses:
        '204':
          description: Successful Response
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '501':
          description: Not Implemented
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    TableResultsIn:
      properties:
        results:
          items:
            $ref: '#/components/schemas/TaskResultIn'
          type: array
          maxItems: 5
          minItems: 1
          title: Results
      type: object
      required:
        - results
      title: TableResultsIn
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    TaskResultIn:
      properties:
        task_id:
          type: string
          format: uuid
          title: Task Id
        status:
          type: string
          enum:
            - succeeded
            - noop
            - partial
            - dry_run
            - skipped:locked
            - skipped:window
            - failed:conflict
            - failed:timeout
            - failed:error
          title: Status
        reason:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Reason
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        duration_ms:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Duration Ms
        result:
          additionalProperties: true
          type: object
          title: Result
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        engine_app_id:
          anyOf:
            - type: string
              maxLength: 256
            - type: 'null'
          title: Engine App Id
      type: object
      required:
        - task_id
        - status
      title: TaskResultIn
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.